makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.bsc.FrameProvider Class Reference

## Public Member Functions
int | AddFrame (java.nio.ByteBuffer data, int width, int height, com.visagetechnologies.bsc.ColorModel model)
int | AddFrame (com.visagetechnologies.CamIL.Image frame)
com.visagetechnologies.CamIL.Image | ReuseInputFrame ()
void | Subscribe (com.visagetechnologies.fpr.IFrameObserver observer)
void | Unsubscribe (com.visagetechnologies.fpr.IFrameObserver observer)

## Detailed Description

An interface used to provide input image data for processing. API users should obtain a reference to this interface by using SDKProvider::GetFrameProvider function.

## Member Function Documentation

## ◆ AddFrame() [1/2]

int com.visagetechnologies.bsc.FrameProvider.AddFrame | ( | com.visagetechnologies.CamIL.Image | frame | ) |
| inline

Enqueues image for processing, replacing the last queued Image. When processing is triggered the engine obtaines only the last queued frame.

Parameters

  newFrame | Image for processing.

Returns
  sequential frame index.

## ◆ AddFrame() [2/2]

int com.visagetechnologies.bsc.FrameProvider.AddFrame | ( | java.nio.ByteBuffer | data,
|  | int | width,
|  | int | height,
|  | com.visagetechnologies.bsc.ColorModel | model
| ) |  |
| inline

Enqueues image for processing, replacing the last queued Image. When processing is triggered the engine obtaines only the last queued frame.

Parameters

  newFrame | Image for processing.

Returns
  sequential frame index.

## ◆ ReuseInputFrame()

com.visagetechnologies.CamIL.Image com.visagetechnologies.bsc.FrameProvider.ReuseInputFrame | ( |  | ) |
| inline

Returns previous input image. Use this method to reuse memory and avoid unnecessary allocations/dealocations that could cause a performance hit.

Use this only when new frame has the same format, width and height as the returned image. If format, width or height don't match, create a new CamIL::Image.

## ◆ Subscribe()

void com.visagetechnologies.bsc.FrameProvider.Subscribe | ( | com.visagetechnologies.fpr.IFrameObserver | observer | ) |
| inline

Subscribe to receive notifications when a new frame is ready.

Parameters

  observer | Object reference to receive notifications when new frame is enqueued.

## ◆ Unsubscribe()

void com.visagetechnologies.bsc.FrameProvider.Unsubscribe | ( | com.visagetechnologies.fpr.IFrameObserver | observer | ) |
| inline

Subscribe to stop receiving notifications.

Parameters

  observer | Subscribed observer reference you wish to cancel.